Skip to navigation

SetUserProfile

View as Markdown

This method is used to set the privacy settings and personal information (address, phone number, etc.) from a user ID card.

NameSchema TypeDescription
AccountIdStringThe Account ID for the account associated with the user.
UserIdStringUser ID for the user.
ShowDocusignIDBooleanWhen true, the user’s ID card can be viewed from signed documents and envelope history.
DisplayCompanyAndTitleBooleanWhen true, the user’s company and title information are shown on the ID card.
DisplayAddressAndPhoneBooleanWhen true, the user’s Address and Phone number are shown on the ID card.
DisplayUsageHistoryBooleanWhen true, the user’s usage information is shown on the ID card.
CompanyStringThe user’s Company information.
TitleStringThe user’s Title information.
AddressAddressA complex element consisting of the optional elements:

- Address1 - Address2 - City - State - Zip - Phone - Fax - Country
AuthenticationHistoryAuthenticationMethodA complex element consisting of:

- AuthenticationMethodType (PhoneAuth, STAN, ISCheck, OFAC, AccessCode, AgeVerify, or SSOAuth) - TotalCount – the number of times used. - LastTimestamp – the data and time the user last used the authentication method. - LastProvider – the last provider that authenticated the user.
UsageHistoryUsage HistoryA complex element consisting of:

- SignedCount – the number of envelopes the user has signed - LastSignedTimestamp – the dateand time the user last signed an envelope. - SentCount – the number of envelopes the user has sent. - LastSentTimestamp – the date and time the user last sent an envelope.

Sample Request XML

POST /api/3.0/accountmanagement.asmx HTTP/1.1
Host: test.docusign.net
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://www.docusign.net/API/AccountManagement/SetUserProfile"
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap: Body>
<SetUserProfile xmlns="http://www.docusign.net/API/AccountManagement">
<UserProfile>
<AccountId>string</AccountId>
<UserId>string</UserId>
<ShowDocusignID>boolean</ShowDocusignID>
<DisplayCompanyAndTitle>boolean</DisplayCompanyAndTitle>
<DisplayAddressAndPhone>boolean</DisplayAddressAndPhone>
<DisplayUsageHistory>boolean</DisplayUsageHistory>
<Company>string</Company>
<Title>string</Title>
<Address>
<Address1>string</Address1>
<Address2>string</Address2>
<City>string</City>
<State>string</State>
<Zip>string</Zip>
<Phone>string</Phone>
<Fax>string</Fax>
<Country>string</Country>
</Address>
<AuthenticationHistory>
<AuthenticationMethod Type="PhoneAuth or STAN or IDCheck or OFAC or AccessCode or AgeVerify or SSOAuth">
<TotalCount>int</TotalCount>
<LastTimestamp>dateTime</LastTimestamp>
<LastProvider>string</LastProvider>
</AuthenticationMethod>
<AuthenticationMethod Type="PhoneAuth or STAN or IDCheck or OFAC or AccessCode or AgeVerify or SSOAuth">
<TotalCount>int</TotalCount>
<LastTimestamp>dateTime</LastTimestamp>
<LastProvider>string</LastProvider>
</AuthenticationMethod>
</AuthenticationHistory>
<UsageHistory>
<SignedCount>int</SignedCount>
<LastSignedTimestamp>dateTime</LastSignedTimestamp>
<SentCount>int</SentCount>
<LastSentTimestamp>dateTime</LastSentTimestamp>
</UsageHistory>
</UserProfile>
</SetUserProfile>
</soap:Body>
</soap:Envelope>

The response returns the user Membership ID and the success of failure of the information post.

Sample Response XML

HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap: Body>
<SetUserProfileResponse xmlns="http://www.docusign.net/API/AccountManagement">
<SetUserProfileResult>
<MembershipId>string</MembershipId>
<Success>boolean</Success>
<Error>
<ErrorCode>Unspecified_Error or Invalid_Account_ID or Account_Requires_User_Name_And_Password_For_Activation or Account_Is_Already_Activated_For_Salesforce or Invalid_Distributor_For_Account or Invalid_User_ID or Invalid_Account or User_Is_Not_An_Account_Manager or Invalid_Login or Invalid_Member_User_Name or Invalid_Member_Email or Member_Email_Not_Allowed or Member_Email_And_User_Name_Awaiting_Activation or Member_Email_And_User_Name_Already_Exists_For_This_Account or Member_Password_Blank or Member_Forgotten_Password_Question_Blank or Member_Forgotten_Password_Answer_Blank or Invalid_Password_Format or Invalid_Member_Data or Member_Email_And_User_Name_Already_Exists or Not_Authorized or Invalid_Distributor_Selected or Invalid_PGP_For_Distributor or Invalid_Credit_Card_Type or CreditCard_Auth_Failed or Invalid_PGP or Invalid_Plan_Retired or Invalid_Successor_Plan or Invalid_Credit_Card or Credit_Card_Expiration or Invalid_AppToken or Distributor_Not_Enabled_For_AppToken or Plan_Group_Not_Enabled_For_Distributor or Invalid_Configuration_Number or Invalid_Salesforce_Credentials or Invalid_Salesforce_External_Instance_ID or Invalid_Docusign_Connect_Configuration_For_Account or Invalid_User or Invalid_Membership or Invalid_Account_Member or Invalid_Edit_User or Invalid_Edit_Membership or Invalid_CanEditSharedAddressBook_Value or Invalid_CanManageTemplates_Value or Invalid_Membership_ID or Invalid_Request or Partner_Authentication_Failed or Hourly_API_Invocation_Limit_Exceeded or Initialize_Client_Account_Error or Max_Members_Exceeded or Invalid_File_Or_Too_Large</ErrorCode>
<Description>string</Description>
</Error>
</SetUserProfileResult>
</SetUserProfileResponse>
</soap:Body>
</soap:Envelope>